Package org.drinkless.tdlib

# Class TdApi.SetCustomLanguagePack

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetCustomLanguagePack

Enclosing class:
  `TdApi`

public static class TdApi.SetCustomLanguagePack extends TdApi.Function<TdApi.Ok>
Adds or changes a custom local language pack to the current localization target.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.LanguagePackInfo`
  `info`
  Information about the language pack.
  `TdApi.LanguagePackString[]`
  `strings`
  Strings of the new language pack.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetCustomLanguagePack()`
  Default constructor for a function, which adds or changes a custom local language pack to the current localization target.
  `SetCustomLanguagePack(TdApi.LanguagePackInfo info, TdApi.LanguagePackString[] strings)`
  Creates a function, which adds or changes a custom local language pack to the current localization target.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### info

    public TdApi.LanguagePackInfo info
    Information about the language pack. Language pack identifier must start with 'X', consist only of English letters, digits and hyphens, and must not exceed 64 characters. Can be called before authorization.

  - ### strings

    public TdApi.LanguagePackString[] strings
    Strings of the new language pack.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetCustomLanguagePack

    public SetCustomLanguagePack()
    Default constructor for a function, which adds or changes a custom local language pack to the current localization target.

    Returns `Ok`

  - ### SetCustomLanguagePack

    public SetCustomLanguagePack(TdApi.LanguagePackInfo info, TdApi.LanguagePackString[] strings)
    Creates a function, which adds or changes a custom local language pack to the current localization target.

    Returns `Ok`

    Parameters:
      `info` - Information about the language pack. Language pack identifier must start with 'X', consist only of English letters, digits and hyphens, and must not exceed 64 characters. Can be called before authorization.
      `strings` - Strings of the new language pack.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR